Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 200437 - RFE: installation from additional repositories by default
Summary: RFE: installation from additional repositories by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-07-27 17:29 UTC by Bill Nottingham
Modified: 2014-03-17 03:00 UTC (History)
1 user (show)

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 20:39:49 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2006-07-27 17:29:10 UTC
Usage case: Extras!

So, something like:

 " The following addtional repositories have been configured:

  [X] Fedora Extras 6
 "
in the same screen where you can configure additional repositories; the user can
uncheck Extras to only install from their disks.

This can be populated by moving over the repo files from fedora-release, and
checking what's enabled.

Comment 1 Jeremy Katz 2006-07-27 21:50:57 UTC
Long-term makes some sense... not really viable given what code we have today

Comment 2 Chris Lumens 2007-02-27 20:35:19 UTC
Does this make sense anymore with the extras merge?  We probably don't want to
enable -source or -debuginfo repos automatically, which really only leaves updates.

Comment 3 Bill Nottingham 2007-02-27 20:37:48 UTC
So, I'll note that this original bug was actually *solved*, despite Jeremy's
comment #1.

In the future, yeah, it means updates, which has its own implementation issue.

Comment 4 Jeremy Katz 2007-02-27 20:39:49 UTC
I think I fixed it after the comment :)

At the same time, it's done as a hack with hard-coding URLs instead of using the
repo files.  But we can probably close this out as that's something to attack
another day, time and place...  And updates is covered by another bug now as well


Note You need to log in before you can comment on or make changes to this bug.